---

groups:
- name: jma_gsm
  rules:
{% if jma_gsm_alert_age_hours > 0 %}
  - alert: OutdatedJmaGsm0p25
    expr: (time() - devcoop_jma_gsm_0p25_latest_timestamp) / 3600 > {{ jma_gsm_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated JMA GSM 0.25 NetCDF file
      description: "Latest JMA GSM 0.25 NetCDF file is more than {{ jma_gsm_alert_age_hours }} hours old."

  - alert: OutdatedJmaGsm0p5
    expr: (time() - devcoop_jma_gsm_0p5_latest_timestamp) / 3600 > {{ jma_gsm_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated JMA GSM 0.5 NetCDF file
      description: "Latest JMA GSM 0.5 NetCDF file is more than {{ jma_gsm_alert_age_hours }} hours old."

  - alert: OutdatedJmaGsm0p5Vc
    expr: (time() - devcoop_jma_gsm_0p5_vc_latest_timestamp) / 3600 > {{ jma_gsm_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated JMA GSM 0.5 vcross NetCDF file
      description: "Latest JMA GSM 0.5 vcross NetCDF file is more than {{ jma_gsm_alert_age_hours }} hours old."

{% endif %}
